path: /build/build/libshout-media-libs-2.4.6.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="speex theora" emerge media-libs/libshout -pv -t && \
    USE="speex theora" emerge -j ${JOBS} --nodeps media-libs/libshout
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libshout && luet-portage --dir /pkgdir/libshout
    media-libs/libshout && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d6ef957ddd74c35c49678657c2b04c79bd9bd5d122f45adda57d9cc8e78728cc
  package:
    name: libshout
    version: 2.4.6
    category: media-libs
    use_flags:
    - speex
    - theora
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: library for connecting and sending data to icecast servers
    uri:
    - https://www.icecast.org/
    license: LGPL-2
    buildtimestamp: 2023-09-29 09:00:01.241510232 +0000 UTC m=+124.519426203
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4'
      DEPEND: '>=media-libs/libogg-1.3.0 >=media-libs/libvorbis-1.3.3-r1 dev-libs/openssl:0=
        speex? ( media-libs/speex ) theora? ( media-libs/libtheora ) virtual/pkgconfig'
      IUSE: speex static-libs theora
      RDEPEND: '>=media-libs/libogg-1.3.0 >=media-libs/libvorbis-1.3.3-r1 dev-libs/openssl:0=
        speex? ( media-libs/speex ) theora? ( media-libs/libtheora )'
      emerge.packages: media-libs/libshout
      kit: media-kit
      original.package.name: media-libs/libshout
      original.package.slot: "0"
      original.package.version: 2.4.6
    treedir: /build/packages
  package_dir: /pkgdir/libshout
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 177082fcec3694609fbfa347091d6bed51ffa41cb277632c87e96b046898b62d
compressiontype: zstd
files:
- usr/bin/shout
- usr/include/shout/shout.h
- usr/lib64/ckport/db/libshout.ckport
- usr/lib64/libshout.so
- usr/lib64/libshout.so.3
- usr/lib64/libshout.so.3.2.0
- usr/lib64/pkgconfig/shout.pc
- usr/share/aclocal/shout.m4
- usr/share/doc/libshout-2.4.6/COPYING.bz2
- usr/share/doc/libshout-2.4.6/NEWS.bz2
- usr/share/doc/libshout-2.4.6/README.bz2
- usr/share/doc/libshout-2.4.6/example.c.bz2
- usr/share/doc/libshout-2.4.6/nonblocking.c.bz2
- usr/share/man/man1/shout.1.bz2
- var/db/pkg/media-libs/libshout-2.4.6/BDEPEND
- var/db/pkg/media-libs/libshout-2.4.6/BUILD_TIME
- var/db/pkg/media-libs/libshout-2.4.6/CATEGORY
- var/db/pkg/media-libs/libshout-2.4.6/CBUILD
- var/db/pkg/media-libs/libshout-2.4.6/CFLAGS
- var/db/pkg/media-libs/libshout-2.4.6/CHOST
- var/db/pkg/media-libs/libshout-2.4.6/CONTENTS
- var/db/pkg/media-libs/libshout-2.4.6/COUNTER
- var/db/pkg/media-libs/libshout-2.4.6/CXXFLAGS
- var/db/pkg/media-libs/libshout-2.4.6/DEFINED_PHASES
- var/db/pkg/media-libs/libshout-2.4.6/DEPEND
- var/db/pkg/media-libs/libshout-2.4.6/DESCRIPTION
- var/db/pkg/media-libs/libshout-2.4.6/EAPI
- var/db/pkg/media-libs/libshout-2.4.6/FEATURES
- var/db/pkg/media-libs/libshout-2.4.6/HOMEPAGE
- var/db/pkg/media-libs/libshout-2.4.6/INHERITED
- var/db/pkg/media-libs/libshout-2.4.6/IUSE
- var/db/pkg/media-libs/libshout-2.4.6/IUSE_EFFECTIVE
- var/db/pkg/media-libs/libshout-2.4.6/KEYWORDS
- var/db/pkg/media-libs/libshout-2.4.6/LDFLAGS
- var/db/pkg/media-libs/libshout-2.4.6/LICENSE
- var/db/pkg/media-libs/libshout-2.4.6/NEEDED
- var/db/pkg/media-libs/libshout-2.4.6/PF
- var/db/pkg/media-libs/libshout-2.4.6/PROVIDES
- var/db/pkg/media-libs/libshout-2.4.6/RDEPEND
- var/db/pkg/media-libs/libshout-2.4.6/REQUIRES
- var/db/pkg/media-libs/libshout-2.4.6/SIZE
- var/db/pkg/media-libs/libshout-2.4.6/SLOT
- var/db/pkg/media-libs/libshout-2.4.6/USE
- var/db/pkg/media-libs/libshout-2.4.6/environment.bz2
- var/db/pkg/media-libs/libshout-2.4.6/libshout-2.4.6.ebuild
- var/db/pkg/media-libs/libshout-2.4.6/repository
package_cacheimage: ""
runtime:
  name: libshout
  version: 2.4.6
  category: media-libs
  use_flags:
  - speex
  - theora
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: libtheora
    version: '>=0'
    category: media-libs
  - name: speex
    version: '>=0'
    category: media-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: library for connecting and sending data to icecast servers
  uri:
  - https://www.icecast.org/
  license: LGPL-2
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 ||
      ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4'
    DEPEND: '>=media-libs/libogg-1.3.0 >=media-libs/libvorbis-1.3.3-r1 dev-libs/openssl:0=
      speex? ( media-libs/speex ) theora? ( media-libs/libtheora ) virtual/pkgconfig'
    IUSE: speex static-libs theora
    RDEPEND: '>=media-libs/libogg-1.3.0 >=media-libs/libvorbis-1.3.3-r1 dev-libs/openssl:0=
      speex? ( media-libs/speex ) theora? ( media-libs/libtheora )'
    emerge.packages: media-libs/libshout
    kit: media-kit
    original.package.name: media-libs/libshout
    original.package.slot: "0"
    original.package.version: 2.4.6
